cgSetSamplerStateAssignment(3)

NAME
cgSetSamplerStateAssignment - sets a state assignment to a sampler effect parameter.

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetSamplerStateAssignment( CGstateassignment sa,
                                      CGparameter param );

PARAMETERS

sa  A state assignment of a sampler type (one of CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERCUBE, or CG_SAMPLERRECT).

param
    An effect parameter of a sampler type.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetSamplerStateAssignment sets a state assignment of a sampler type to an effect parameter of the same sampler type.

EXAMPLES
  CGparameter effectParam = cgCreateEffectParameter(effect, "normalizeCube", CG_SAMPLERCUBE);
  CGstate state = cgGetNamedSamplerState(context, "TextureCubeMap");
  CGstateassignment sa = cgCreateStateAssignment(technique, state);
  CGbool ok = cgSetSamplerStateAssignment(sa, effectParam);

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a sampler type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgSetSamplerStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetSamplerStateAssignmentValue manpage, the cgSetTextureStateAssignment manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetBoolStateAssignment manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetFloatStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetStringStateAssignment manpage